import request from '@/utils/request'

// 查询客流设备列表
export function listFlowDevices() {
    return request({
        url: '/subsystem/peopleflow/devices',
        method: 'get'
    })
}

// 查询客流统计数据列表
export function listFlowData(query) {
    return request({
        url: '/subsystem/peopleflow/list',
        method: 'get',
        params: query
    })
}

// 导出客流统计数据
export function exportFlowData(query) {
    return request({
        url: '/subsystem/peopleflow/export',
        method: 'post',
        data: query,
        responseType: 'blob'
    })
}